#!/bin/bash

. /etc/rc.conf
. /etc/rc.d/functions
. /etc/conf.d/oidentd

# no daemon check needed for oidentd, and no pid nesecary.
case "$1" in
  start)
    stat_busy "Starting oidentd Daemon..."
    # oidentd is smart enough to only run one copy of
    # itsself, no check nesecary, and no pidfile
    /usr/sbin/oidentd -u ${USER} -g ${GROUP} ${OPTS}
    if [ $? -gt 0 ]; then
      stat_fail
    else
      add_daemon oidentd
      stat_done
    fi
    ;;
  stop)
    stat_busy "Stopping oidentd Daemon..."
    # kill the process by it's full name, or the init script
    # will terminate as well, wreaking havok.
    killall /usr/sbin/oidentd
    if [ $? -gt 0 ]; then
      stat_fail
    else
      rm_daemon oidentd
      stat_done
    fi
    ;;
  restart)
    $0 stop
    sleep 1
    $0 start
    ;;
  *)
    echo "usage: $0 {start|stop|restart}"  
esac
exit 0
